$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.9.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.9.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'EB9422CBB8FB1BD72FDB8E12812893E4B3CAE6844ACA0DF9D43B776C340FE4AA'
  checksumType = 'sha256'
  checksum64 = 'EB9422CBB8FB1BD72FDB8E12812893E4B3CAE6844ACA0DF9D43B776C340FE4AA'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.9-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
